PyuTest.make_building_blocks("pyutest_blocks:grass", "Grass", {
  "pyutest-grass.png"
}, nil, {
  ground = 1,
  acid_vulnerable = 1,
  grass = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:dark_grass", "Dark Grass", {
  "pyutest-dark-grass.png"
}, nil, {
  ground = 1,
  acid_vulnerable = 1,
  grass = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:swampy_grass", "Swampy Grass", {
  "pyutest-swampy-grass.png"
}, nil, {
  ground = 1,
  acid_vulnerable = 1,
  sugarcane_spawn_on = 1,
  grass = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:savanna_grass", "Savanna Grass", {
  "pyutest-savanna-grass.png"
}, nil, {
  ground = 1,
  acid_vulnerable = 1,
  sugarcane_spawn_on = 1,
  grass = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:aspen_grass", "Aspen Grass", {
  "pyutest-aspen-grass.png"
}, nil, {
  ground = 1,
  acid_vulnerable = 1,
  grass = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:jungle_grass", "Jungle Grass", {
  "pyutest-jungle-grass.png"
}, nil, {
  ground = 1,
  acid_vulnerable = 1,
  grass = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:dirt", "Dirt", { "pyutest-dirt.png" }, nil, {
  ground = 1,
  acid_vulnerable = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:podzol", "Podzol", { "pyutest-podzol.png" }, nil, {
  ground = 1,
  acid_vulnerable = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:snow", "Snow", { "pyutest-snow.png" }, nil, {
  ground = 1,
  acid_vulnerable = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:sand", "Sand", { "pyutest-sand.png" }, nil, {
  ground = 1,
  acid_vulnerable = 1,
  falling_node = 1,
  sugarcane_spawn_on = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:mycelium", "Mycelium", {
  "pyutest-mycelium.png"
}, nil, {
  ground = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:clay", "Clay", { "pyutest-clay-block.png" }, nil, {
  acid_vulnerable = 1,
  crumbly = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:gravel", "Gravel", { "pyutest-gravel.png" }, nil, {
  falling_node = 1,
  acid_vulnerable = 1,
  crumbly = PyuTest.BLOCK_FAST
})

-- Cracky
PyuTest.make_building_blocks("pyutest_blocks:stone", "Stone", { "pyutest-stone.png" }, nil, {
  ground = 1,
  stone = 1,
  cracky = PyuTest.BLOCK_NORMAL,
}, { is_ground_content = true })

PyuTest.make_building_blocks("pyutest_blocks:darkstone", "Darkstone", { "pyutest-darkstone.png" }, nil, {
  ground = 1,
  stone = 1,
  cracky = PyuTest.BLOCK_NORMAL,
}, { is_ground_content = true })

PyuTest.make_building_blocks("pyutest_blocks:granite", "Granite", {"pyutest-granite.png"}, nil, {
  ground = 1,
  stone = 1,
  cracky = PyuTest.BLOCK_NORMAL,
})

PyuTest.make_building_blocks("pyutest_blocks:andesite", "Andesite", {"pyutest-andesite.png"}, nil, {
  ground = 1,
  stone = 1,
  cracky = PyuTest.BLOCK_NORMAL,
})

PyuTest.make_building_blocks("pyutest_blocks:sandstone", "Sandstone", { "pyutest-sandstone.png" }, nil, {
  ground = 1,
  acid_vulnerable = 1,
  cracky = PyuTest.BLOCK_FAST,
}, { is_ground_content = false })

PyuTest.make_building_blocks("pyutest_blocks:ice", "Ice", { "pyutest-ice.png" }, nil, {
  ground = 1,
  acid_vulnerable = 1,
  slippery = 4,
  cracky = PyuTest.BLOCK_FAST,
  thawable = 1
})

PyuTest.make_building_blocks("pyutest_blocks:molten_rock", "Molten Rock", { "pyutest-molten-rock.png" }, nil, {
  ground = 1,
  cracky = PyuTest.BLOCK_FAST,
}, { is_ground_content = false })

PyuTest.make_building_blocks("pyutest_blocks:basalt", "Basalt", { "pyutest-basalt.png" }, nil, {
  ground = 1,
  cracky = PyuTest.BLOCK_FAST,
}, { is_ground_content = false })

PyuTest.make_building_blocks("pyutest_blocks:obsidian", "Obsidian", { "pyutest-obsidian.png" }, nil, {
  cracky = PyuTest.BLOCK_SLOW,
}, { is_ground_content = false })

PyuTest.make_building_blocks("pyutest_blocks:crystal_lantern", "Crystal Lantern", { "pyutest-crystal-lantern.png" }, nil, {
  cracky = PyuTest.BLOCK_FAST
}, {
  light_source = minetest.LIGHT_MAX,
  paramtype = "light"
})

PyuTest.make_building_blocks("pyutest_blocks:bone", "Bone", {
  "pyutest-bone-block-top-bottom.png",
  "pyutest-bone-block-top-bottom.png",
  "pyutest-bone-block.png"
}, nil, {
  cracky = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:enchanted_obsidian", "Enchanted Obsidian", {
  "pyutest-enchanted-obsidian.png"
}, nil, {
  cracky = PyuTest.BLOCK_SLOW
}, {
  is_ground_content = false
})

PyuTest.make_building_blocks("pyutest_blocks:brick", "Brick", { "pyutest-bricks.png" }, nil, {
  cracky = PyuTest.BLOCK_NORMAL
}, {
  is_ground_content = false
})

PyuTest.make_building_blocks("pyutest_blocks:stone_bricks", "Stone Bricks", { "pyutest-stone-bricks.png" }, nil, {
  cracky = PyuTest.BLOCK_SLOW
}, {
  is_ground_content = false
})

-- Choppy
PyuTest.make_building_blocks("pyutest_blocks:mushroom", "Mushroom", { "pyutest-mushroom.png" }, nil, {
  flammable = 1,
  choppy = PyuTest.BLOCK_FAST
}, { is_ground_content = false })

PyuTest.make_building_blocks("pyutest_blocks:mushroom_stem", "Mushroom Stem", { "pyutest-mushroom-stem.png" }, nil, {
  flammable = 1,
  choppy = PyuTest.BLOCK_FAST
}, { is_ground_content = false })

PyuTest.make_building_blocks("pyutest_blocks:glowshroom", "Glowshroom", {
  "pyutest-purple-mushroom.png"
}, nil, {
  flammable = 1,
  choppy = PyuTest.BLOCK_FAST
}, {
  is_ground_content = false,
  paramtype = "light",
  light_source = minetest.LIGHT_MAX
})

-- Breakable by hand
PyuTest.make_building_blocks("pyutest_blocks:haybale", "Haybale", {
  "pyutest-haybale-top-bottom.png",
  "pyutest-haybale-top-bottom.png",
  "pyutest-haybale.png"
}, nil, {
  oddly_breakable_by_hand = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:slime", "Slime", { "pyutest-slime.png" }, nil, {
  bouncy = 85,
  oddly_breakable_by_hand = PyuTest.BLOCK_FAST
})

PyuTest.make_building_blocks("pyutest_blocks:glowslime", "Glowslime", { "pyutest-glowslime.png" }, nil, {
  bouncy = 85,
  oddly_breakable_by_hand = PyuTest.BLOCK_FAST
}, {
  paramtype = "light",
  light_source = minetest.LIGHT_MAX
})
